package intrinsic.mx.managers.layoutClasses;

public class PriorityQueue extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public PriorityQueue() {
}


/** Static Methods */

/** Methods */
public native void addObject(Object arg0, int arg1);
public native Object removeLargest();
public native Object removeLargestChild(intrinsic.mx.managers.ILayoutManagerClient arg0);
public native Object removeSmallest();
public native Object removeSmallestChild(intrinsic.mx.managers.ILayoutManagerClient arg0);
public native void removeAll();
public native boolean isEmpty();

}
